Announcement Announcement Module
Collapse
No announcement yet.
Roo 1.1.0.RELEASE Problem Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Roo 1.1.0.RELEASE Problem

    Hi there,

    i have troubles installing the Surf-Addon to Spring Roo 1.1.0.RELEASE.
    I followed the tutorial on http://springsurf.org/sites/1.0.0-RC...o-installation

    The Problem(s):
    addon install --url http://www.springsurf.org/downloads/...-roo-addon.zip
    is not working because Roo 1.1.0.RELEASE don't know the --url parameter and the file "http://www.springsurf.org/downloads/1.0.0-RC2/spring-surf-roo-addon-1.0.0-RC2-roo-addon.zip" does not exists.

    What can i do to install The Addon to Roo 1.1.0.RELEASE? Or is there no Addon for Roo 1.1.0?

    Thanks in advance!!!

    regards
    Manuel

  • #2
    Whats the deal with this, have issues as well.

    roo> addon install --url http://www.springsurf.org/downloads/...-roo-addon.zip --bundleSymbolicName spring-surf-roo-addon


    >Could not find the 'spring-surf-roo-addon' bundle

    Comment


    • #3
      Roo 1.1.0 now only supports OSGI bundle for its addon. we are working on generating such type of bundle. For now, please use Roo 1.0.2.

      Comment


      • #4
        alright, i thought so...

        thank you for your quick reply!


        best regards
        manuel

        Comment


        • #5
          Any updates when this is available? I am trying the surf tutorial and can't install the roo addon on STS 2.5.1 because it is tied to roo 1.1.0, and STS won't let me use roo 1.0.2

          Comment


          • #6
            I spent last week on getting the surf roo addon re-factored for 1.1.x.

            All updated sources should be in SVN now but I have not updated the download site yet ( need to do more testing). In other words, you can build the jar from SVN trunk and also you can check out the updated installation guide from SVN as well ( you need to use osgi install....)

            Comment


            • #7
              I will give that a try. Thanks!

              Comment


              • #8
                I am unable to build due to a missing eclipse artifact. Is there another repository server I should use?

                INFO] ------------------------------------------------------------------------
                [ERROR] BUILD ERROR
                [INFO] ------------------------------------------------------------------------
                [INFO] Failed to resolve artifact.

                Couldn't find a version in [3.2.1-M20060915-1030, 3.3.0-I20070531-1800, 3.3.0-I2
                0070620] to match range [3.3.0,4.0.0)
                org.eclipse.ui:ide:jar:null

                from the specified remote repositories:
                eclipse-repo (http://repo1.maven.org/eclipse),
                alfresco-public-releases (http://maven.alfresco.com/nexus/content/groups/publi
                c),
                central (http://repo1.maven.org/maven2/),
                AZDEV1-snapshots (http://srv-azdev1.acquitygroup.com:8...tifactory/repo),
                AZDEV1-central (http://srv-azdev1.acquitygroup.com:8...tifactory/repo),
                alfresco-public-snapshots (http://maven.alfresco.com/nexus/content/groups/publ
                ic-snapshots),
                alfresco-thirdparty (http://maven.alfresco.com/nexus/cont...ositories/thir
                dparty),
                jboss-repo (http://repository.jboss.org/maven2)

                Comment


                • #9
                  Any updates when this is available? I am trying the surf tutorial and can't install the roo addon on STS 2.5.1 because it is tied to roo 1.1.0, and STS won't let me use roo 1.0.2
                  Got the same problem here...
                  What is the ETA for an Surf OSGI compliant add on?

                  Comment


                  • #10
                    Have you tried to build/install directly from SVN?

                    I am working on getting webscript runtime working with OSGI and will add new commands as well.

                    Right now, I am developing with Roo1.1 and Spring 2.5.1. I will do a batch check-in once I finish new commands.

                    Yong

                    Comment


                    • #11
                      For all surf eclipse plugins, you can try the DEV_MAVEN3 branch. It will require maven 3 but it gives us a clean way for eclipse related dependencies. The final build result is a local eclipse update site which will can install to STS 2.5.1.

                      Comment


                      • #12
                        No I didn't.

                        is this repo: https://src.springframework.org/svn/...urf-roo-addon/ right?

                        I'll try tomorrow morning.

                        Comment


                        • #13
                          Try the trunk. We will get everything into next release.

                          Yong

                          Comment


                          • #14
                            Tks Yong.

                            Got some problems with maven dependencies...here:

                            Code:
                            1) org.springframework.extensions.surf:spring-surf-parent:pom:1.0.0.CI-SNAPSHOT
                            ----------
                            1 required artifact is missing.
                            
                            for artifact: 
                              org.springframework.extensions.surf:spring-surf-parent:pom:1.0.0.CI-SNAPSHOT
                            
                            from the specified remote repositories:
                              spring-roo-repository (http://spring-roo-repository.springsource.org/release, releases=true, snapshots=true),
                              central (http://repo1.maven.org/maven2, releases=true, snapshots=false)
                             @ org.springframework.extensions.surf:spring-surf-roo-addon:1.0.0.CI-SNAPSHOT, C:\sts_workplace\spring-surf-roo-addon\pom.xml
                             for project org.springframework.extensions.surf:spring-surf-roo-addon:1.0.0.CI-SNAPSHOT at C:\sts_workplace\spring-surf-roo-addon\pom.xml
                            why this dependency is not being resolved? (I'm a Maven Newbie)

                            best regards
                            Last edited by la00; Dec 10th, 2010, 06:58 AM.

                            Comment


                            • #15
                              Is there a working Surf version out yet or a fix?
                              I tried to compile it from trunk, but can't get it to work.

                              kazimir

                              Comment

                              Working...
                              X